<form [formGroup]="form" (ngSubmit)="onFilter()">
  <layout-filter-content
    [title]="'MERCHANT_MANAGER.PURCHASES.FILTERS.TITLE' | translate"
    [description]="'MERCHANT_MANAGER.PURCHASES.FILTERS.DESCRIPTION' | translate"
    [results]="(purchases$ | async)?.filtered"
    [hasFiltredData]="isPurchasesFiltred$ | async"
    (cleanFilters)="onCleanFilters()"
  >
    <div class="main-filter" slot="main-filter">
      <mo-input
        formControlName="search"
        [placeholder]="
          'MERCHANT_MANAGER.PURCHASES.FILTERS.SEARCH_BAR' | translate
        "
        [icon]="'uil-search'"
        [iconPosition]="ICON_POSITION.RIGHT"
      ></mo-input>
    </div>
    <div slot="filters">
      <div class="filters">
        <mo-date
          formControlName="created_at"
          [label]="
            'MERCHANT_MANAGER.PURCHASES.FILTERS.DATE_CREATED_TITLE' | translate
          "
          [placeholder]="
            'MERCHANT_MANAGER.PURCHASES.FILTERS.DATE_CREATED_PLACEHOLDER'
              | translate
          "
        ></mo-date>
      </div>
      <div class="filters">
        <mo-input
          formControlName="ticket__gte"
          [label]="
            'MERCHANT_MANAGER.PURCHASES.FILTERS.TICKETS_TITLE' | translate
          "
          [placeholder]="
            'MERCHANT_MANAGER.PURCHASES.FILTERS.TICKETS_LESS' | translate
          "
          [type]="INPUT_TYPE.NUMBER"
          [icon]="'uil-usd-circle'"
          [iconPosition]="ICON_POSITION.LEFT"
        ></mo-input>
        <mo-input
          formControlName="ticket__lte"
          [placeholder]="
            'MERCHANT_MANAGER.PURCHASES.FILTERS.TICKETS_GRATHER' | translate
          "
          [type]="INPUT_TYPE.NUMBER"
          [icon]="'uil-usd-circle'"
          [iconPosition]="ICON_POSITION.LEFT"
        ></mo-input>
        <mo-input
          formControlName="downpayment__gte"
          [label]="
            'MERCHANT_MANAGER.PURCHASES.FILTERS.DOWN_PAYMENT_TITLE' | translate
          "
          [placeholder]="
            'MERCHANT_MANAGER.PURCHASES.FILTERS.DOWN_PAYMENT_LESS' | translate
          "
          [type]="INPUT_TYPE.NUMBER"
          [icon]="'uil-usd-circle'"
          [iconPosition]="ICON_POSITION.LEFT"
        ></mo-input>
        <mo-input
          formControlName="downpayment__lte"
          [placeholder]="
            'MERCHANT_MANAGER.PURCHASES.FILTERS.DOWN_PAYMENT_GRATHER'
              | translate
          "
          [type]="INPUT_TYPE.NUMBER"
          [icon]="'uil-usd-circle'"
          [iconPosition]="ICON_POSITION.LEFT"
        ></mo-input>
        <mo-button
          [text]="'APP.FILTERS.BTN_SEARCH' | translate"
          [designClass]="BUTTON_DESIGN_CLASS.PRIMARY"
          [displayBlock]="true"
          [size]="SIZES.MD"
          [type]="BUTTON_TYPE.SUBMIT"
        >
        </mo-button>
      </div>
    </div>
  </layout-filter-content>
</form>
